#!/bin/bash

rm -rf build-mingw
mkdir build-mingw && cd build-mingw && cmake -G "MSYS Makefiles" .. && make
[ 0 != $? ] && echo "make failed ;-(" && exit 1
mkdir -p run/locale/ru/LC_MESSAGES
mkdir -p run/locale/it/LC_MESSAGES
cp po/ru/gettextex1.gmo run/locale/ru/LC_MESSAGES/gettextex1.mo
cp po/it/gettextex1.gmo run/locale/it/LC_MESSAGES/gettextex1.mo
cd run
./gettextex1
